| fgl-5.4.2.0: Martin Erwig's Functional Graph Library | Source code | Contents | Index

Data.Graph.Inductive.Query.Dominators

Synopsis

dom :: Graph gr => gr a b -> Node -> [(Node, [Node])]
iDom :: Graph gr => gr a b -> Node -> [(Node, Node)]

Documentation

dom :: Graph gr => gr a b -> Node -> [(Node, [Node])] | Source

return the set of dominators of the nodes of a graph, given a root

iDom :: Graph gr => gr a b -> Node -> [(Node, Node)] | Source

return immediate dominators for each node of a graph, given a root
Produced by Haddock version 0.9